List the messages in a campaign
curl --request GET \
--url https://api.heullo.com/api/v1/sms/management/{managementId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/v1/sms/management/{managementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/v1/sms/management/{managementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/sms/management/{managementId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/sms/management/{managementId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heullo.com/api/v1/sms/management/{managementId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/sms/management/{managementId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"channel": "UI",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"delivered": true,
"deliveryType": "SINGLE",
"deliveryWindowEnd": "2023-11-07T05:31:56Z",
"deliveryWindowStart": "2023-11-07T05:31:56Z",
"encodingType": "GSM7",
"errorMessage": "<string>",
"failureTime": "2023-11-07T05:31:56Z",
"gatewayResponse": "<string>",
"id": "<string>",
"managementId": "<string>",
"messageDetails": {
"charset": "<string>",
"dcs": "<string>",
"encoding": "<string>",
"parts": 123
},
"messageParts": 123,
"messageType": "SMS",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"ownerName": "<string>",
"phoneNumber": "<string>",
"recipient": "<string>",
"recipients": [
"<string>"
],
"retryCount": 123,
"scheduledExecutionTime": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledTime": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"status": "SCHEDULED",
"taskId": "<string>",
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}SMS
List the messages in a campaign
Accepts an organization API key with the sms:read scope.
GET
/
api
/
v1
/
sms
/
management
/
{managementId}
List the messages in a campaign
curl --request GET \
--url https://api.heullo.com/api/v1/sms/management/{managementId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/v1/sms/management/{managementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/v1/sms/management/{managementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/sms/management/{managementId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/sms/management/{managementId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heullo.com/api/v1/sms/management/{managementId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/sms/management/{managementId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"channel": "UI",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"delivered": true,
"deliveryType": "SINGLE",
"deliveryWindowEnd": "2023-11-07T05:31:56Z",
"deliveryWindowStart": "2023-11-07T05:31:56Z",
"encodingType": "GSM7",
"errorMessage": "<string>",
"failureTime": "2023-11-07T05:31:56Z",
"gatewayResponse": "<string>",
"id": "<string>",
"managementId": "<string>",
"messageDetails": {
"charset": "<string>",
"dcs": "<string>",
"encoding": "<string>",
"parts": 123
},
"messageParts": 123,
"messageType": "SMS",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"ownerName": "<string>",
"phoneNumber": "<string>",
"recipient": "<string>",
"recipients": [
"<string>"
],
"retryCount": 123,
"scheduledExecutionTime": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledTime": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"status": "SCHEDULED",
"taskId": "<string>",
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
SCHEDULED, QUEUED, SENDING, SENT, DELIVERED, FAILED, EXPIRED, PENDING, CANCELLED, PROCESSING, SCHEDULE_FAILED, ERROR, REJECTED, COMPLETED 
